Bug 689866 - ns-newpwpolicy.pl needs to use the new DN format
Summary: ns-newpwpolicy.pl needs to use the new DN format
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Command Line Utilities
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 639035 389_1.2.8 689895
TreeView+ depends on / blocked
 
Reported: 2011-03-22 17:13 UTC by Noriko Hosoi
Modified: 2015-12-07 16:53 UTC (History)
2 users (show)

(edit)
Clone Of:
: 689895 (view as bug list)
(edit)
Last Closed: 2015-12-07 16:53:01 UTC


Attachments (Terms of Use)
git patch file (master) (4.26 KB, patch)
2011-03-22 17:19 UTC, Noriko Hosoi
nhosoi: review?
rmeggins: review+
Details | Diff

Description Noriko Hosoi 2011-03-22 17:13:35 UTC
Description of problem:
The command-line utility ns-newpwpolicy.pl (template-ns-newpwpolicy.pl.in) hasn't been modified to adjust to the new DN format.

It escapes only ',' in the nested DN, in which '=' also needs to be escaped.

Comment 1 Noriko Hosoi 2011-03-22 17:19:28 UTC
Created attachment 486852 [details]
git patch file (master)

Description:  template-ns-newpwpolicy.pl.in hasn't been modified
to adjust to the new DN format.  It escapes only ',' in the nested
DN, in which '=' also needs to be escaped.  This patch fixed it.

Comment 2 Noriko Hosoi 2011-03-22 19:19:22 UTC
Reviewed by Rich (Thank you!!!)

Pushed to master.

$ git merge 689866
Updating c772157..09bc822
Fast-forward
 .../src/scripts/template-ns-newpwpolicy.pl.in      |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

$ git push
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 845 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   c772157..09bc822  master -> master

Cherry-picked commit 09bc8226f17e58afd4fd1f4c3c73214ecc33b85e and pushed to 389-ds-base-1.2.8 branch:

$ git cherry-pick 09bc8226f17e58afd4fd1f4c3c73214ecc33b85e
Finished one cherry-pick.
[ds128-local 27624b8] Bug 689866 - ns-newpwpolicy.pl needs to use the new DN format
 1 files changed, 11 insertions(+), 9 deletions(-)


$ git push origin ds128-local:389-ds-base-1.2.8
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 844 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   df7c57c..27624b8  ds128-local -> 389-ds-base-1.2.8

Comment 4 Amita Sharma 2011-04-07 07:23:14 UTC
Tested the bug by executing the pwpolicy test case passes 100%, 
bug is verified.


Note You need to log in before you can comment on or make changes to this bug.